//
//  Zufallszahlengenerator.swift
//  Lottozahlen
//
//  Created by Holger Hinzberg on 05.01.17.
//  Copyright © 2017 Holger Hinzberg. All rights reserved.
//

import Foundation

class Zufallszahlengenerator
{
    func Generiere(anzahlDerWerte:Int, hoechsterWert:UInt32) -> [Int]
    {
        // Ein leeres Dictionary erzeugen
        var zufallszahlenDictionary = [Int:String]()
        
        // Die Schleife läuft, bis das Dictionary sechs
        // Wertepaare enthält
        while zufallszahlenDictionary.count < anzahlDerWerte
        {
            // Zufallszahl erzeugen
            let zufallszahl = (Int) (arc4random_uniform(hoechsterWert) + 1)
            // Dem Dictionary hinzufügen
            zufallszahlenDictionary[zufallszahl] = ""
        }
        
        // Ein leeres Array erzeugen
        var zufallszahlenArray = [Int]()
        
        for key in zufallszahlenDictionary.keys
        {
            // Die Schlüssel dem Array hinzufügen
            zufallszahlenArray.append(key)
        }
        
        // Das Array sortieren
        zufallszahlenArray.sort(by: {$0 < $1})

        return zufallszahlenArray
    }
}
